# Interface methods for submodule: GaborImageSource
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import GenerateImageSourceProxy as _GenerateImageSourceProxy


# Interface methods for class: GaborImageSource
class GaborImageSourceProxy(_GenerateImageSourceProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetSigma(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetSigma(self) -> Sequence[float]:
		""""""
		...

	def SetMean(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetMean(self) -> Sequence[float]:
		""""""
		...

	def SetFrequency(self, _arg: float) -> None:
		""""""
		...

	def GetFrequency(self) -> float:
		""""""
		...

	def SetCalculateImaginaryPart(self, _arg: bool) -> None:
		""""""
		...

	def GetCalculateImaginaryPart(self) -> bool:
		""""""
		...

	def CalculateImaginaryPartOn(self) -> None:
		""""""
		...

	def CalculateImaginaryPartOff(self) -> None:
		""""""
		...

